package kr.gmtc.gw.dev.restdev.vo;

import java.util.List;

public class AImetaTestVO {
    
    private Header header;
    private List<Data> data;



    public AImetaTestVO() {

    }

    public AImetaTestVO(Header header, List<Data> data){
        this.header = header;
        this.data = data;
    }


    public Header getHeader() {
        return header;
    }

    public void setHeader(Header header) {
        this.header = header;
    }

    public List<Data> getData() {
        return data;
    }

    public void setData(List<Data> data) {
        this.data = data;
    }

    public static class Header {
        private String result_code;
        private String result_msg;

        public Header() {
        }

        public Header(String result_code, String result_msg) {
            this.result_code = result_code;
            this.result_msg = result_msg;
        }

        public String getResult_code() {
            return result_code;
        }

        public void setResult_code(String result_code) {
            this.result_code = result_code;
        }

        public String getResult_msg() {
            return result_msg;
        }

        public void setResult_msg(String result_msg) {
            this.result_msg = result_msg;
        }
    }

    public static class Data {
        private String on_arcrft;
        private String stts_cls;
        private String arcrft_tp;
        private String zn_id;
        private List<String> bb_tlp;
        private List<String> crd_frm;
        private List<String> cc_id;
        private List<String> crd_glb;
        private List<String> bb_brp;
        private String dtct_tm;
        private String arln;
        private String trck_id;

        public String getOn_arcrft() {
            return on_arcrft;
        }

        public void setOn_arcrft(String on_arcrft) {
            this.on_arcrft = on_arcrft;
        }

        public String getStts_cls() {
            return stts_cls;
        }

        public void setStts_cls(String stts_cls) {
            this.stts_cls = stts_cls;
        }

        public String getArcrft_tp() {
            return arcrft_tp;
        }

        public void setArcrft_tp(String arcrft_tp) {
            this.arcrft_tp = arcrft_tp;
        }

        public String getZn_id() {
            return zn_id;
        }

        public void setZn_id(String zn_id) {
            this.zn_id = zn_id;
        }

        public List<String> getBb_tlp() {
            return bb_tlp;
        }

        public void setBb_tlp(List<String> bb_tlp) {
            this.bb_tlp = bb_tlp;
        }

        public List<String> getCrd_frm() {
            return crd_frm;
        }

        public void setCrd_frm(List<String> crd_frm) {
            this.crd_frm = crd_frm;
        }

        public List<String> getCc_id() {
            return cc_id;
        }

        public void setCc_id(List<String> cc_id) {
            this.cc_id = cc_id;
        }

        public List<String> getCrd_glb() {
            return crd_glb;
        }

        public void setCrd_glb(List<String> crd_glb) {
            this.crd_glb = crd_glb;
        }

        public List<String> getBb_brp() {
            return bb_brp;
        }

        public void setBb_brp(List<String> bb_brp) {
            this.bb_brp = bb_brp;
        }

        public String getDtct_tm() {
            return dtct_tm;
        }

        public void setDtct_tm(String dtct_tm) {
            this.dtct_tm = dtct_tm;
        }

        public String getArln() {
            return arln;
        }

        public void setArln(String arln) {
            this.arln = arln;
        }

        public String getTrck_id() {
            return trck_id;
        }

        public void setTrck_id(String trck_id) {
            this.trck_id = trck_id;
        }

    }
}
